%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name tagsoup
%define f_pkg_name tagsoup
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.12.2
Release: alt1.1
License: BSD3
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>
Group: Development/Haskell
URL: http://community.haskell.org/~ndm/tagsoup/
Source: %name-%version.tar
Summary: Parsing and extracting information from (possibly malformed) HTML/XML documents
BuildRequires: ghc ghc-text
BuildRequires(pre): rpm-build-haskell

%description
TagSoup is a library for parsing HTML/XML. It supports the HTML 5
specification, and can be used to parse either well-formed XML, or
unstructured and malformed HTML from the web. The library also provides
useful functions to extract information from an HTML document, making it
ideal for screen-scraping.

Users should start from the "Text.HTML.TagSoup" module.

%prep
%setup

%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%name-%version
rm -rf doc LICENSE examples

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
#%%doc LICENSE examples

%changelog
* Sat Aug 13 2011 Denis Smirnov <mithraen@altlinux.ru> 0.12.2-alt1.1
- rebuild with shared objects support

* Wed Aug 03 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.12.2-alt1
- Spec created by cabal2rpm 0.20_08
